Package org.mariadb.jdbc.client.context

## Class RedoContext

- java.lang.Object
- - org.mariadb.jdbc.client.context.BaseContext
  - - org.mariadb.jdbc.client.context.RedoContext

All Implemented Interfaces:
  `org.mariadb.jdbc.client.Context`

    public class RedoContext
    extends BaseContext

### Field Summary

### Fields inherited from class org.mariadb.jdbc.client.context.BaseContext

`serverStatus`

### Constructor Summary

Constructors
`RedoContext​(InitialHandshakePacket handshake, long clientCapabilities, Configuration conf, ExceptionFactory exceptionFactory, org.mariadb.jdbc.client.PrepareCache prepareCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TransactionSaver` `getTransactionSaver()`
`void` `saveRedo​(org.mariadb.jdbc.message.ClientMessage msg)`
`void` `saveRedo​(org.mariadb.jdbc.message.ClientMessage[] msgs)`
`void` `setServerStatus​(int serverStatus)`

### Methods inherited from class org.mariadb.jdbc.client.context.BaseContext

`addStateFlag, canSkipMeta, getConf, getDatabase, getExceptionFactory, getPrepareCache, getSeed, getServerCapabilities, getServerStatus, getStateFlag, getThreadId, getTransactionIsolationLevel, getVersion, getWarning, isEofDeprecated, isExtendedInfo, resetPrepareCache, resetStateFlag, setDatabase, setTransactionIsolationLevel, setWarning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedoContext

    public RedoContext​(InitialHandshakePacket handshake,
                       long clientCapabilities,
                       Configuration conf,
                       ExceptionFactory exceptionFactory,
                       org.mariadb.jdbc.client.PrepareCache prepareCache)

### Method Detail

#### setServerStatus

    public void setServerStatus​(int serverStatus)

Specified by:
  `setServerStatus` in interface `org.mariadb.jdbc.client.Context`
Overrides:
  `setServerStatus` in class `BaseContext`

#### saveRedo

    public void saveRedo​(org.mariadb.jdbc.message.ClientMessage msg)

#### saveRedo

    public void saveRedo​(org.mariadb.jdbc.message.ClientMessage[] msgs)

#### getTransactionSaver

    public TransactionSaver getTransactionSaver()